com.holonplatform.vaadin.spring.boot.internal

## Class HolonVaadinServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.vaadin.server.VaadinServlet
      - - com.vaadin.spring.server.SpringVaadinServlet
        - - com.holonplatform.vaadin.spring.boot.internal.HolonVaadinServlet

- All Implemented Interfaces:
    com.vaadin.server.Constants, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class HolonVaadinServlet
      extends com.vaadin.spring.server.SpringVaadinServlet

  `SpringVaadinServlet` extension to allow automatic `SessionInitListener` and `SessionDestroyListener` beans registration at servlet initialization.
  Since:
    5.0.4
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface com.vaadin.server.Constants

      `ATMOSPHERE_MISSING_ERROR, CANNOT_ACQUIRE_CLASSLOADER_SEVERE, DEFAULT_BUFFER_SIZE, DEFAULT_THEME_CACHETIME, DEFAULT_THEME_NAME, DEFAULT_WIDGETSET, ERROR_NO_UI_FOUND, INVALID_ATMOSPHERE_VERSION_WARNING, INVALID_SECURITY_KEY_MSG, MAX_BUFFER_SIZE, NOT_PRODUCTION_MODE_INFO, PARAMETER_VAADIN_RESOURCES, PARAMETER_WIDGETSET, PORTAL_PARAMETER_VAADIN_RESOURCE_PATH, PORTAL_PARAMETER_VAADIN_THEME, PORTAL_PARAMETER_VAADIN_WIDGETSET, PORTLET_CONTEXT, PUSH_NOT_SUPPORTED_ERROR, REQUIRED_ATMOSPHERE_RUNTIME_VERSION, SERVLET_PARAMETER_CLOSE_IDLE_SESSIONS, SERVLET_PARAMETER_DISABLE_XSRF_PROTECTION, SERVLET_PARAMETER_HEARTBEAT_INTERVAL, SERVLET_PARAMETER_LEGACY_DESIGN_PREFIX, SERVLET_PARAMETER_PRODUCTION_MODE, SERVLET_PARAMETER_PUSH_MODE, SERVLET_PARAMETER_PUSH_SUSPEND_TIMEOUT_LONGPOLLING, SERVLET_PARAMETER_RESOURCE_CACHE_TIME, SERVLET_PARAMETER_SENDURLSASPARAMETERS, SERVLET_PARAMETER_SYNC_ID_CHECK, SERVLET_PARAMETER_UI_PROVIDER, THEME_DIR_PATH, URL_PARAMETER_THEME, WARNING_HEARTBEAT_INTERVAL_NOT_NUMERIC, WARNING_PUSH_MODE_NOT_RECOGNIZED, WARNING_RESOURCE_CACHING_TIME_NOT_NUMERIC, WARNING_XSRF_PROTECTION_DISABLED, WIDGETSET_DIR_PATH, WIDGETSET_MISMATCH_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HolonVaadinServlet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSessionDestroyListener(com.vaadin.server.SessionDestroyListener listener)` Add a `SessionDestroyListener` to be registered at servlet initialization.
    `void` | `addSessionInitListener(com.vaadin.server.SessionInitListener listener)` Add a `SessionInitListener` to be registered at servlet initialization.

    - ### Methods inherited from class com.vaadin.spring.server.SpringVaadinServlet

      `getServiceUrlPath, setServiceUrlPath`

    - ### Methods inherited from class com.vaadin.server.VaadinServlet

      `destroy, findResourceURL, getCurrent, getDefaultTheme, init, safeEscapeForHtml, stripSpecialChars`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HolonVaadinServlet

          public HolonVaadinServlet()

  - ### Method Detail

    - #### addSessionInitListener

          public void addSessionInitListener(com.vaadin.server.SessionInitListener listener)

      Add a `SessionInitListener` to be registered at servlet initialization.
      Parameters:
        `listener` - The `SessionInitListener` to add

    - #### addSessionDestroyListener

          public void addSessionDestroyListener(com.vaadin.server.SessionDestroyListener listener)

      Add a `SessionDestroyListener` to be registered at servlet initialization.
      Parameters:
        `listener` - The `SessionDestroyListener` to add

Copyright © 2019 The Holon Platform. All rights reserved.